curl --request POST \
--url https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopes": [
"project:read",
"signing_keys:admin"
],
"expires_at": "2027-01-01T00:00:00Z"
}
'import requests
url = "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens"
payload = {
"scopes": ["project:read", "signing_keys:admin"],
"expires_at": "2027-01-01T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scopes: ['project:read', 'signing_keys:admin'],
expires_at: '2027-01-01T00:00:00Z'
})
};
fetch('https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scopes' => [
'project:read',
'signing_keys:admin'
],
'expires_at' => '2027-01-01T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens"
payload := strings.NewReader("{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7d9f1b3e-5a7c-4e9b-b1d3-f5a7c9e1b3d5",
"created_at": "2026-10-14T09:15:02Z",
"expires_at": "2027-01-01T00:00:00Z",
"scopes": [
"project:read",
"signing_keys:admin"
],
"value": "qumo_pat_4f9a1c7e2b8d6035e1a9c4f7b2d8e6a1c3f5b7d9e0a2c4f6b8d0e2a4c6f8b1d3"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}Create an identity token
Mints a token that acts as the identity, capped by the scopes you request. The token value is returned only in this response; store it now. You can only mint a token for an identity whose permissions, within the requested scopes, you hold yourself, and a token can only request scopes your own token holds.
curl --request POST \
--url https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopes": [
"project:read",
"signing_keys:admin"
],
"expires_at": "2027-01-01T00:00:00Z"
}
'import requests
url = "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens"
payload = {
"scopes": ["project:read", "signing_keys:admin"],
"expires_at": "2027-01-01T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scopes: ['project:read', 'signing_keys:admin'],
expires_at: '2027-01-01T00:00:00Z'
})
};
fetch('https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scopes' => [
'project:read',
'signing_keys:admin'
],
'expires_at' => '2027-01-01T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens"
payload := strings.NewReader("{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scopes\": [\n \"project:read\",\n \"signing_keys:admin\"\n ],\n \"expires_at\": \"2027-01-01T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": "7d9f1b3e-5a7c-4e9b-b1d3-f5a7c9e1b3d5",
"created_at": "2026-10-14T09:15:02Z",
"expires_at": "2027-01-01T00:00:00Z",
"scopes": [
"project:read",
"signing_keys:admin"
],
"value": "qumo_pat_4f9a1c7e2b8d6035e1a9c4f7b2d8e6a1c3f5b7d9e0a2c4f6b8d0e2a4c6f8b1d3"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}Authorizations
A personal access token (POST /v1/auth/tokens) or a machine
identity token (POST /v1/projects/{project_id}/identities/{identity_id}/tokens),
both prefixed qumo_pat_. A token's scopes cap what it can do; see
Scopes and permissions. A personal
token names no organization: on a route whose path names no project or
organization, pass ?organization_id=.
Path Parameters
The project's id.
The identity's id.
Body
The scopes that cap what the token can do. At least one.
1A token scope. * asks for every scope. See
Scopes and permissions.
*, project:read, usage:read, audit:read, audit:admin, iam:read, iam:admin, organization:admin, billing:admin, signing_keys:admin ["project:read", "signing_keys:admin"]
When the token expires. Omit or null for a token that does not expire.
"2027-01-01T00:00:00Z"
Response
The created token, including its value.
A newly created identity token, including its value.
"7d9f1b3e-5a7c-4e9b-b1d3-f5a7c9e1b3d5"
"2026-10-14T09:15:02Z"
When the token expires; null if it does not.
"2027-01-01T00:00:00Z"
A token scope. * asks for every scope. See
Scopes and permissions.
*, project:read, usage:read, audit:read, audit:admin, iam:read, iam:admin, organization:admin, billing:admin, signing_keys:admin ["project:read", "signing_keys:admin"]
The token. Returned only when it is created; send it as Authorization Bearer.
"qumo_pat_4f9a1c7e2b8d6035e1a9c4f7b2d8e6a1c3f5b7d9e0a2c4f6b8d0e2a4c6f8b1d3"